@import url('https://fonts.googleapis.com/css2?family=Itim&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Signika+Negative:wght@300..700&display=swap');


* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Signika Neue', sans-serif;
}
body {
    display: flex;
    flex-direction: column;
    background: linear-gradient(90deg, rgb(99, 219, 255), rgb(255, 138, 158));
}

.content {
    background-color: rgba(7, 7, 7, 0.4);
}

nav {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 4rem;
}

nav h1 {
    font-family: 'Itim', sans-serif;
    font-weight: 800;
    font-size: 35px;
    color: #FFF;
}

#albumsContent {
    max-width: 1000px;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    
}

.albumCard {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    width: 200px;
    padding: 20px;
    border-radius: 10px;
    margin: 20px;
    color: #ffffff;
    background-color: rgb(168, 168, 168);
    box-shadow: 0 3px 15px rgba(7, 7, 7, 0.9);
    height: 325px;
}

.albumCard .albumInfos {
    display: flex;
    flex-direction: column;
    text-align: center;
}

.albumCard .albumImage {
    width: 150px;
    height: 150px;
} 

.albumImage img{
    width: 150px;
    height: 150px;
    border-radius: 10px;
    box-shadow: 0 3px 15px rgba(7, 7, 7, 0.9);
}

.albumInfos h2 {
    font-size: 20px;
}

.albumInfos h2:hover {
   cursor: pointer;
   text-decoration: underline;
   
}

.albumInfos h3 {
    font-size: 16px;
    font-weight: 600;
    font-style: italic;
}

.rating {
    font-size: 25px;
    font-weight: 800;
    letter-spacing: 1px;

}

h2, h3, .rating {
    margin: 3px;
}

.albumCard .albumReview {
    position: absolute;
    height: inherit;
    width: inherit;
    border-radius: inherit;
    background-color: inherit;
    margin-top: -20px;
    padding: 20px;

    display: none;
    align-items: center;
    justify-content: center;
}

.albumReview .btnCloseReview {
    width: 30px;
    height: 30px;

    position: absolute;
    top: 0;
    right: 0;
    border-radius: inherit;
    background-color: transparent;
    color: #FFF;
    border: 2px solid #fff;
}

.albumReview p {
    text-align: center;
}

@media(max-width: 496px) {
    #albumsContent {
        max-width: 1100px;
        margin: 0 auto;
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
    }
}
